<?php
/**
 * Vaccination Center functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Vaccination Center
 */



if ( ! function_exists( 'vaccination_center_support' ) ) :
	function vaccination_center_support() {

		load_theme_textdomain( 'vaccination-center', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'vaccination_center_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('VACCINATION_CENTER_BUY_NOW',__('https://www.themescarts.com/products/solar-wordpress-theme/','vaccination-center'));
		define('VACCINATION_CENTER_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/vaccination-center/','vaccination-center'));

	}
endif;
add_action( 'after_setup_theme', 'vaccination_center_support' );


if ( ! function_exists( 'vaccination_center_setup' ) ) :
	function vaccination_center_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'vaccination-center' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'vaccination_center_setup' );

/**
 * Enqueue scripts and styles.
 */
function vaccination_center_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'vaccination-center-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	$vaccination_center_enable_animations = get_option( 'vaccination_center_enable_animations', true );

    if ( $vaccination_center_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }
	wp_style_add_data('vaccination-center', 'rtl', 'replace');

	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/css/animate.css');

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	// wp_enqueue_script('vaccination-center-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), VACCINATION_CENTER_VERSION, true);

}
add_action( 'wp_enqueue_scripts', 'vaccination_center_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function vaccination_center_admin_scripts() {

	wp_enqueue_style(
		'vaccination-center-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'vaccination-center-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'vaccination_center_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';


/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';




/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'VACCINATION_CENTER_PATH', trailingslashit( get_template_directory() ) );
define( 'VACCINATION_CENTER_URL', trailingslashit( get_template_directory_uri() ) );
define( 'VACCINATION_CENTER_VERSION', '1.0.0' );
define( 'VACCINATION_CENTER_THEME_NAME', 'vaccination-center' );
define( 'VACCINATION_CENTER_OPTION_NAME', 'vaccination-center' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require VACCINATION_CENTER_PATH . 'notice-getstart/main.php';


/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function vaccination_center_run() {
	new Vaccination_Center();
}
vaccination_center_run();

